unit talkie;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,sharemem,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Timer1: TTimer;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure PutData(Sender: TObject);
    procedure ReadData(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    tsm:TSharedMemory;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
{create a shared memory block with a UNIQUE NAME so it can be identified}
 tsm:=Tsharedmemory.create('Unique name for TMEMO communication',32767);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  tsm.free;
end;

procedure TForm1.PutData(Sender: TObject);
begin
  memo1.gettextbuf(TSM.MEMORY,32767);   {copy the contents of memo1 to memory}
end;




procedure TForm1.ReadData(Sender: TObject);
begin
  memo1.Settextbuf(TSM.MEMORY);         {copy memory to tmemo....}
end;



{
 the timer routine copies the memo to shared memory
 (or the other way around...)
 }

procedure TForm1.Timer1Timer(Sender: TObject);
begin
 if radiobutton1.checked then Putdata(nil) else Readdata(nil);
end;

end.
